package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname VMWithPrivateProject
 * @Description TODO
 * @Date 2025/4/8 16:44
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "VM-专机信息")
public class VMWithPrivateProject {
    @Schema(title = "VM ID", required = true)
    private long id;
    @Schema(title = "VM 对应母机ID", required = true)
    private int machineId;
    @Schema(title = "VM 类型ID", required = true)
    private int typeId;
    @Schema(title = "VM IP地址", required = true)
    private String ip;
    @Schema(title = "VM 名称", required = true)
    private String name;
    @Schema(title = "工程ID", required = true)
    private String projectId;
}
