package cd.casic.ci.process.api.process.pojo.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname DeletePipelineResult
 * @Description TODO
 * @Date 2025/3/31 17:28
 */
@Data
@AllArgsConstructor
@Schema(title = "删除流水线结果")
public class DeletePipelineResult {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "流水线版本号", required = true)
    private int version;
}
