package cd.casic.ci.dal.v3.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;
import java.util.Set;

/**
 * @author by mianbin
 * @Classname BuildCheckParamsV3
 * @Date 2025/3/20 20:00
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "构建参数检查")
public class BuildCheckParamsV3 {

    private String projectId;

    private String pipelineId;

    private String buildId;

    private String position;

    private String templateId;

    private String interceptName;

    private Set<String> ruleBuildIds;

    private String stageId;

    private Map<String, String> runtimeVariable;
}
