package cd.casic.pipeline.store.pojo.common.media;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class StoreMediaInfo {
    @Schema(title = "媒体id")
    private String id;
    
    @Schema(title = "组件标识", required = true)
    private String storeCode;
    
    @Schema(title = "媒体url", required = true)
    private String mediaUrl;
    
    @Schema(title = "媒体类型", required = true)
    private String mediaType;
    
    @Schema(title = "添加用户", required = true)
    private String create;
    
    @Schema(title = "修改用户", required = true)
    private String modifier;
    
    @Schema(title = "添加时间", required = true)
    private String createTime;
    
    @Schema(title = "修改时间", required = true)
    private String updateTime;
}