package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.ChannelCode;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineIdAndName
 * @Date：2025/03/24 16:21
 * @Filename：PipelineIdAndName
 * @description：Todo
 */
@Data
@AllArgsConstructor
@Schema(title = "流水线名称与Id")
public class PipelineIdAndName {
    @Schema(title = "流水线Id")
    private String pipelineId;
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "流水线的来源渠道")
    private ChannelCode channelCode;
}
