package cd.casic.ci.process.api.process.pojo.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.classify
 * @Project：ops-pro
 * @name：PipelineNewViewSummary
 * @Date：2025/03/24 19:53
 * @Filename：PipelineNewViewSummary
 * @description：Todo
 */
@Data
@Schema(title = "")
public class PipelineNewViewSummary {
    @Schema(title = "视图id", required = false)
    private String id;
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "视图名称", required = false)
    private String name;
    @Schema(title = "是否项目", required = false)
    private Boolean projected;
    @Schema(title = "创建时间", required = false)
    private Long createTime;
    @Schema(title = "更新时间", required = false)
    private Long updateTime;
    @Schema(title = "创建者", required = false)
    private String creator;
    @Schema(title = "是否置顶", required = false)
    private Boolean top = false;
    @Schema(title = "流水线组类型,1--动态,2--静态", required = true)
    private Integer viewType;
    @Schema(title = "流水线个数", required = true)
    private Integer pipelineCount;
    @Schema(title = "是否是PAC流水线组", required = true)
    private Boolean pac = false;
}
