package cd.casic.ci.process.api.process.pojo.trigger;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：RepoTriggerEventDetail
 * @Date：2025/03/24 17:27
 * @Filename：RepoTriggerEventDetail
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "代码库webhook事件记录")
public class RepoTriggerEventDetail {
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "事件ID")
    private Long eventId;
    @Schema(title = "总流水线数")
    private int total;
    @Schema(title = "成功的流水线数")
    private int success;
}
