package cd.casic.ci.log.scm.dal.dto;

import cd.casic.framework.commons.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;


/**
 * @author mianbin
 */
@Data
@Accessors(chain = true)
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "repository_record", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class RepositoryRecord extends BaseDO {
    private Long id;

    private String projectId;

    private String userId;

    private String aliasName;

    private String url;

    private String type;

    private String repositoryHashId;

    public RepositoryRecord(String projectId, String userId, String aliasName, String url, String type, String repositoryHashId) {
        this.projectId = projectId;
        this.userId = userId;
        this.aliasName = aliasName;
        this.url = url;
        this.type = type;
        this.repositoryHashId = repositoryHashId;
    }
}
