package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "流水线执行信息")
public class AtomPipelineExecInfo {
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "项目标识", required = true)
    private String projectCode;
    @Schema(title = "拥有者", required = true)
    private String owner;
    @Schema(title = "最近执行时间", required = true)
    private String latestExecTime;
}