package cd.casic.pipeline.store.pojo.image.enums;

public enum MarketImageSortTypeEnum {
    NAME,
    CREATE_TIME,
    UPDATE_TIME,
    PUBLISHER,
    DOWNLOAD_COUNT;

    public static String getSortType(String type) {
        if (NAME.name().equals(type)) {
            return "IMAGE_NAME";
        }
        return type != null ? type : CREATE_TIME.name();
    }

    public static MarketImageSortTypeEnum getSortTypeEnum(String type) {
        for (MarketImageSortTypeEnum value : values()) {
            if (value.name().equalsIgnoreCase(type)) {
                return value;
            }
        }
        return NAME;
    }
}